- Tech Junkie - https://www.techjunkie.com -

Here’s a List of the Skype Versions Supported in OS X

Back in June, Microsoft announced that it would soon begin to “retire [1]” older versions of its Skype application for Windows and OS X with the goal of moving all users to more recent, secure, and capable versions of the software. In the last few weeks, this led to complications for users running older versions of OS X, as these older operating systems couldn’t run the latest supported builds of Skype. As summarized by The Next Web [2]:

In June, Skype announced plans to retire old versions of its Windows and Mac clients “over the next few months,” and then expanded the move in July to “all platforms” along with another vague “in the near future” timeframe. What the company didn’t say, however, is that some old platforms require these old versions, meaning some Skype users are essentially being dropped.

Many affected Skype users who were unable or unwilling to update to OS X Mavericks in order to get the latest Skype builds took to the Skype forums [3] to voice their complaints. In response, Microsoft has issued a statement [4] clarifying the situation. The company states that the concerns over Skype support for older versions of OS X are based on a misunderstanding. The latest version of Skype (version 6.19) does indeed require OS X Mavericks, but certain older versions of the software for OS X Leopard through OS X Mountain Lion are still supported. In short, Microsoft says that it isn’t “retiring” every older version of Skype, and that the latest version supported on each of the aforementioned operating systems will still be able to work with the service.

So, if you’re a Mac Skype user worried about versions and support, here are the correct versions (as of today) that you should grab:

OS X Mavericks: Skype 6.19
[5]OS X Mountain Lion: Skype 6.15.x.334
[6]OS X Lion: Skype 6.15.x.334
[6]OS X Snow Leopard: Skype 6.15.x.334
[6]OS X Leopard: Skype 6.3.x.604 [6]

Note that the links above will automatically detect your current operating system and serve the appropriate installer. Therefore, if you need to download Skype for Snow Leopard, for example, make sure you do it while using a Mac running Snow Leopard.